#
# spec file for package gap-gauss
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-gauss
Summary:        GAP: Extended Gauss Functionality for GAP
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Version:        2017.12.07
Release:        lp150.1.2
Url:            http://homalg-project.github.io/homalg_project/Gauss/

#Git-Clone:	git://github.com/homalg-project/Gauss
#Git-Web:	https://github.com/homalg-project/Gauss
Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/Gauss-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-devel >= 4.4
BuildRequires:  gap-rpm-devel
BuildRequires:  gmp-devel
Requires:       gap-core >= 4.7
Suggests:       gap-gapdoc >= 1.0

%description
The GAP Gauss package provides algorithms to compute reduced row
echelon forms (RREF) of a matrix.

%prep
%setup -qn Gauss-%version

%build
./configure "%gapdir"
make %{?_smp_mflags}

%install
%gappkg_simple_install
rm -Rf "%buildroot/$moddir/src"

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 2017.12.07
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.06.14
  * No changelog was provided again
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 2013.06.26
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split gauss (version 2013.03.07) off the gap RPM package
